using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.OperatorBusinessLogicsContracts
{
    public interface IGuideLogic
    {
        List<GuideViewModel>? ReadList(GuideSearchModel? model);
        GuideViewModel? ReadElement(GuideSearchModel model);
        bool Create(GuideBindingModel model);
        bool Delete(GuideBindingModel model);
    }
}
